#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,320,480,1040,1520,2080
 * N : 25,240,320,480,1040,1520,2080
 * NB : 4,16,16,32,40,80,80
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 4; \
   else if ((n_) < 400) (nb_) = 16; \
   else if ((n_) < 760) (nb_) = 32; \
   else if ((n_) < 1280) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
