#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,320,640,800,960,1280,2640
 * N : 25,160,320,640,800,960,1280,2640
 * NB : 4,16,16,40,80,80,80,88
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 4; \
   else if ((n_) < 480) (nb_) = 16; \
   else if ((n_) < 720) (nb_) = 40; \
   else if ((n_) < 1960) (nb_) = 80; \
   else (nb_) = 88; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
