#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,240,320,400,800,960,1200,1360,1440,1600
 * N : 25,160,240,320,400,800,960,1200,1360,1440,1600
 * NB : 5,16,16,32,32,24,80,80,80,80,96
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 5; \
   else if ((n_) < 280) (nb_) = 16; \
   else if ((n_) < 600) (nb_) = 32; \
   else if ((n_) < 880) (nb_) = 24; \
   else if ((n_) < 1520) (nb_) = 80; \
   else (nb_) = 96; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
