#ifndef ATL_zGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,320,640,800,960,1120,1200,1280
 * N : 25,160,320,640,800,960,1120,1200,1280
 * NB : 5,16,16,16,24,32,40,80,80
 */
#define ATL_zGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 5; \
   else if ((n_) < 720) (nb_) = 16; \
   else if ((n_) < 880) (nb_) = 24; \
   else if ((n_) < 1040) (nb_) = 32; \
   else if ((n_) < 1160) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_zGetNB_geqrf */
